Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class TariffRequestManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.TariffRequestManager

public class TariffRequestManager extends ru.bitel.common.dao.AbstarctDaoConstant
Менеджер всякого по запросу из тарифов.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `TariffRequestManager.AutosyncOnMode`
  место действия автосинхронизации карты

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffRequestManager(ConnectionSet connectionSet, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getMultiroomIgnorePacket(ParameterMap moduleSetup, int contractId, Calendar date)`
  Получает из тарифа значение узла "не копируется при мультируме", то есть список id пакетов.
  `Set<Integer>`
  `getPacketGroup(ParameterMap moduleSetup, int contractId, Calendar date)`
  `Set<Integer>`
  `getPacketsAutosync(ParameterMap moduleSetup, int contractId, Date date, TariffRequestManager.AutosyncOnMode source)`
  Получает из тарифа ид пакетов в узле "Синхронизируемые с тарифом пакеты", можно указывать место действия для галочек-условий.
  `float`
  `getSubscriptionCost(int contractId, Date date, Map<Integer,Packet> packetMap, List<CardPacket> cardPacketList, boolean check)`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TariffRequestManager

    public TariffRequestManager(ConnectionSet connectionSet, int mid)

- ## Method Details

  - ### getMultiroomIgnorePacket

    public Set<Integer> getMultiroomIgnorePacket(ParameterMap moduleSetup, int contractId, Calendar date) throws ru.bitel.bgbilling.common.BGException
    Получает из тарифа значение узла "не копируется при мультируме", то есть список id пакетов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketGroup

    public Set<Integer> getPacketGroup(ParameterMap moduleSetup, int contractId, Calendar date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketsAutosync

    public Set<Integer> getPacketsAutosync(ParameterMap moduleSetup, int contractId, Date date, TariffRequestManager.AutosyncOnMode source) throws ru.bitel.bgbilling.common.BGException
    Получает из тарифа ид пакетов в узле "Синхронизируемые с тарифом пакеты", можно указывать место действия для галочек-условий. Если нету такого, то будет null.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSubscriptionCost

    public float getSubscriptionCost(int contractId, Date date, Map<Integer,Packet> packetMap, List<CardPacket> cardPacketList, boolean check) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`